Page MenuHomeFreeBSD

uep(4): add evdev support
ClosedPublic

Authored by wulf on Jun 12 2017, 11:34 AM.

Details

Summary

uep(4): add evdev support

To compile this driver with evdev support enabled, place the
following line into your kernel configuration file:

device evdev
options EVDEV_SUPPORT

Native and evdev modes are mutually exclusive.

Test Plan

Gleb will be able to take hardware tests soon

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

wulf created this revision.Jun 12 2017, 11:34 AM
glebius edited edge metadata.Jun 12 2017, 9:39 PM

Ack. Will test before 1st of July.

The change consist also some changes to the protocol. Some new bits are parsed. I'm pretty sure that my particular device doesn't have any pressure. All I can do is to confirm that my device is still working.

However, I think that protocol changes and evdevification should be committed separately.

wulf updated this revision to Diff 29774.Jun 18 2017, 11:29 AM
  1. Drop support for touch pressure.

According to comments in egalax tslib driver, tslib uses pressure level to detect touches. So unconditional claiming pressure as supported event can break 5-bytes proto touchscreens.
If pressure is claimed as unsupported, tslib egalax driver will fake it on its own.

  1. Change touchscreen resolution to 0(unknown)
gonzo accepted this revision.Jun 21 2017, 6:32 PM

Looks good to me

This revision is now accepted and ready to land.Jun 21 2017, 6:32 PM
wulf added a comment.Jun 23 2017, 2:53 PM

Port of xinput_calibrator: D11325
It supports touchscreen calibration for xf86-input-evdev driver

wblock added a subscriber: wblock.Jul 7 2017, 6:31 PM
wblock added inline comments.
share/man/man4/uep.4
27 ↗(On Diff #29774)

Please bump .Dd on commit.

49 ↗(On Diff #29774)

s/your/the/

59 ↗(On Diff #29774)

s/is/is a/

60 ↗(On Diff #29774)

(Not yours, I know.)
Please use the serial comma, and this needs articles ("the" and "a"):

It just probes and attaches to the USB device, creates a device entry,
61 ↗(On Diff #29774)

Please start new sentences on new lines.

62 ↗(On Diff #29774)

The backslash is not needed. Hard to tell what "next" means here, but it can probably be this:

​compile-time kernel options, it supports either native or evdev operation modes.

("either" means "mutually exclusive", so that next sentence is probably not needed.)

65 ↗(On Diff #29774)

s/mouse/the mouse/

67 ↗(On Diff #29774)

Passive -> active: s/one needs to install/install/

70 ↗(On Diff #29774)

s/mouse/the mouse/

72 ↗(On Diff #29774)

Passive -> active: s/one needs to install/install/

76 ↗(On Diff #29774)

Backslash is not needed.

95 ↗(On Diff #29774)

Avoid contractions: s/can't/cannot/

97 ↗(On Diff #29774)

Avoid using "the latter", it's a text backreference.

as
.Xr sysmouse 4
does not support absolute motion events.
Closed by commit rS337348: uep(4): add evdev support (authored by wulf, committed by ). · Explain WhyAug 5 2018, 11:14 AM
This revision was automatically updated to reflect the committed changes.